package setup

import (
	"os"
	"testing"

	"github.com/stretchr/testify/assert"
)

// TODO

func TestConfig_Load(t *testing.T) {
	cfg := NewConfig()
	cfg, err := cfg.Load(os.DirFS("../../assets/tests/setup"))
	assert.NoError(t, err)
	assert.Len(t, cfg.Collections, 3)
	assert.Equal(t, cfg.Collections[0].Value(nil).ID, "collection_a")
	assert.Equal(t, cfg.Collections[1].Value(nil).ID, "collection_b")
	assert.Equal(t, cfg.Collections[2].Value(nil).ID, "collection_c")
}
